package com.zfire.mall.manager.logic;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.zfire.mall.manager.datasource.engin.service.AgenyBillsService;
import com.zfire.mall.manager.plus.service.AdminUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class TestLogic {

    @Autowired
    AdminUserService adminUserService;
    @Autowired
    AgenyBillsService agenyBillsService;

    public int test1() {
        return adminUserService.count();
    }

    @DS("engin")
    public int test2() {
        return agenyBillsService.count();
    }

}
